<?php
/**
 * products.php created on 23/dic/2008
 *
 * 
 * @author Alessandro Vernassa <speleoalex@gmail.com>
 */
include ("fncommerce/fncommerce.php");
//FN_cc_edit_xmltable($tablename, $dbname = "fndatabase", $path = "", $functioninsert = "", $restr = false,$table=false,$fields=false)
FN_cc_edit_xmltable("fnc_products","fndatabase","","insertproducts",false,false,"name|model|photo1|status|quantity|price",array("price"=>"fnc_format_price"));
function insertproducts($newvalues)
{
	$opmod = getparam("op___xdb_fnc_products",PAR_GET,SAN_HTML);
	$pid = isset($newvalues['unirecid']) ? $newvalues['unirecid'] : "";
	if ( $pid == "" )
		$pid = getparam("pk___xdb_fnc_products",PAR_GET,SAN_HTML);
	switch ($opmod)
	{
		case "insnew" :
			//dprint_r($_POST);
			$categories = fnc_getcategories();
			$p_categories = fnc_getcategoriesbyproduct($pid);
			$categories_in_product = array();
			foreach ( $p_categories as $c )
			{
				$categories_in_product[$c['unirecid']] = $c;
			}
			if ( isset($_POST["save___xdb_fnc_products"]) )
			{
				$catselect = false;
				foreach ( $categories as $category )
				{
					$enablecategory = getparam("category_" . $category['unirecid'],PAR_POST,SAN_HTML);
					if ( $enablecategory == 1 )
					{
						$catselect = true;
						fnc_add_product_in_category($newvalues['unirecid'],$category['unirecid']);
					}
					else
						fnc_delete_product_from_category($newvalues['unirecid'],$category['unirecid']);
				}
				if (  !$catselect )
					jsalert(_FN_NOCATEGORY);
					//dprint_r($_POST);
				$categories = fnc_getcategories();
				$p_categories = fnc_getcategoriesbyproduct($pid);
				$categories_in_product = array();
				foreach ( $p_categories as $c )
				{
					$categories_in_product[$c['unirecid']] = $c;
				}
			}
			echo "<b>" . _ADMIN_CATEGORIE . "</b>";
			foreach ( $categories as $category )
			{
				$ck = "";
				if ( isset($categories_in_product[$category['unirecid']]) )
					$ck = "checked=\"checked\"";
				echo "<br />{$category['name']}<input value=\"1\" name=\"category_{$category['unirecid']}\" $ck type=\"checkbox\" value=\"{$category['unirecid']}\" />";
			}
		break;
		default :
		//echo "ciao ciao";
		break;
	}
}
/**
 * elimina un prodotto da una categoria
 * 
 */
function fnc_delete_product_from_category($pid, $cat)
{
	global $_FN;
	if ( $pid != "" && $cat != "" )
	{
		$table = new XMLTable("fndatabase","fnc_products_to_categories",$_FN['datadir']);
		$all = $table->GetRecords(array("product"=>$pid,"category"=>$cat));
		foreach ( $all as $row )
		{
			$table->DelRecord($row['unirecid']);
		}
	}
}
/**
 * aggiunge un prodotto in una categoria
 * 
 * 
 */
function fnc_add_product_in_category($pid, $cat)
{
	global $_FN;
	if ( $pid != "" && $cat != "" )
	{
		$table = new XMLTable("fndatabase","fnc_products_to_categories",$_FN['datadir']);
		$all = $table->GetRecords(array("product"=>$pid,"category"=>$cat));
		//----se non esiste gia' lo aggiunge
		if (  !isset($all[0]['unirecid']) )
		{
			$all = $table->InsertRecord(array("product"=>$pid,"category"=>$cat));
		}
	}
}
?>